Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ColumnFamilyStore.AbstractScanIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<Row>
              org.apache.cassandra.db.ColumnFamilyStore.AbstractScanIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<Row>, CloseableIterator<Row>

Enclosing class:
  ColumnFamilyStore

    public abstract static class ColumnFamilyStore.AbstractScanIterator

extends com.google.common.collect.AbstractIterator<Row>
implements CloseableIterator<Row>

Constructor Summary
`ColumnFamilyStore.AbstractScanIterator()`

Method Summary

Methods inherited from class com.google.common.collect.AbstractIterator
`computeNext, endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### ColumnFamilyStore.AbstractScanIterator

    public ColumnFamilyStore.AbstractScanIterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation